double usr_angle(int bond, int term13, double *alpha, int numalpha)
{

  double mult = 0.0;  // default for term13 = {10,11,12,13}
// old verion: doesnt converge ??? (Rachid?)
//  double       phi1 =  (2*M_PI)/3.0+alpha;
//  double       phi2 =  alpha;           
//  const double phi3 =  (2*M_PI)/3.0+0;
// new version Jun2008 R.D.:
  double       phi1 =   -2*M_PI/3.0+alpha[0];
  double       phi2 =   -2*M_PI/3.0-alpha[0];
  const double phi3 =   -2*M_PI/3.0+ 0;

  if (bond==1) {   // J1 bit now...
    // delta term
    if      (term13 ==  1) mult=       cos(phi1);    // s^z s^z 
    else if (term13 ==  2) mult=  -0.5*sin(phi1);    // s^z s^+ 
    else if (term13 ==  3) mult=  -0.5*sin(phi1);    // s^z s^- 
    else if (term13 ==  4) mult=   0.5*sin(phi1);    // s^+ s^z
    else if (term13 ==  5) mult=   0.5*sin(phi1);    // s^- s^z
    else if (term13 ==  6) mult= 0.25*(cos(phi1)+1); // s^+ s^-
    else if (term13 ==  7) mult= 0.25*(cos(phi1)+1); // s^- s^+
    else if (term13 ==  8) mult= 0.25*(cos(phi1)-1); // s^+ s^+
    else if (term13 ==  9) mult= 0.25*(cos(phi1)-1); // s^- s^-
  } else if (bond==2) {  // J_2 bit now...
    if      (term13 ==  1) mult=       cos(phi2);   // -cos -> cos Oct05
    else if (term13 ==  2) mult=  -0.5*sin(phi2);
    else if (term13 ==  3) mult=  -0.5*sin(phi2);
    else if (term13 ==  4) mult=   0.5*sin(phi2);
    else if (term13 ==  5) mult=   0.5*sin(phi2);
    else if (term13 ==  6) mult= 0.25*(cos(phi2)+1); // Oct05: -cos
    else if (term13 ==  7) mult= 0.25*(cos(phi2)+1);
    else if (term13 ==  8) mult= 0.25*(cos(phi2)-1);
    else if (term13 ==  9) mult= 0.25*(cos(phi2)-1);
  } else {   // J_3 bit now...
    if      (term13 ==  1) mult=       cos(phi3); // Oct05: -cos 
    else if (term13 ==  2) mult=  -0.5*sin(phi3);
    else if (term13 ==  3) mult=  -0.5*sin(phi3);
    else if (term13 ==  4) mult=   0.5*sin(phi3);
    else if (term13 ==  5) mult=   0.5*sin(phi3);
    else if (term13 ==  6) mult= 0.25*(cos(phi3)+1);
    else if (term13 ==  7) mult= 0.25*(cos(phi3)+1);
    else if (term13 ==  8) mult= 0.25*(cos(phi3)-1);
    else if (term13 ==  9) mult= 0.25*(cos(phi3)-1);
  }                                                                     
  return mult;
}

